<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import javafx.scene.layout.*?>

<?import javafx.collections.FXCollections?>
<?import java.lang.String?>
<GridPane alignment="center" hgap="10.0" style="-fx-background-color: #FFFFFF;" vgap="10" xmlns="http://javafx.com/javafx/17.0.2-ea" xmlns:fx="http://javafx.com/fxml/1" fx:controller="ae.datainsights.rmjfx.controller.LoginController">
    <padding>
        <Insets bottom="40" left="40" right="40" top="40" />
    </padding>
    <columnConstraints>
        <ColumnConstraints halignment="RIGHT" maxWidth="Infinity" minWidth="61.0" prefWidth="88.0" />
        <ColumnConstraints hgrow="ALWAYS" maxWidth="Infinity" minWidth="171.0" prefWidth="212.0" />
    </columnConstraints>



    <ImageView fx:id="imageView" fitHeight="73.0" fitWidth="309.0" layoutX="61.0" layoutY="83.0" nodeOrientation="INHERIT" pickOnBounds="true" preserveRatio="true" style="-fx-translate-x: 170;" GridPane.rowIndex="1">
        <Image backgroundLoading="true" url="@images/logo@3x.png" />
    </ImageView>

    <Label text="Server : " GridPane.rowIndex="3" />
    <ChoiceBox value="staging" fx:id="serverField" prefHeight="40" prefWidth="250.0" GridPane.columnIndex="1" GridPane.rowIndex="3" >
        <items>
            <FXCollections fx:factory="observableArrayList">
                <String fx:value="staging"  />
                <String fx:value="production" />
            </FXCollections>
        </items>
    </ChoiceBox>
    <Label text="Username : " GridPane.rowIndex="4" />
    <TextField fx:id="usernameField" prefHeight="40" prefWidth="190.0" GridPane.columnIndex="1" GridPane.rowIndex="4" />
    <Label text="Password : " GridPane.rowIndex="5" />
    <PasswordField fx:id="passwordField" prefHeight="40" prefWidth="190.0" GridPane.columnIndex="1" GridPane.rowIndex="5" />
    <Label text="Tenant : " GridPane.rowIndex="6" />
    <TextField fx:id="tenantField" prefHeight="40" prefWidth="190.0" GridPane.columnIndex="1" GridPane.rowIndex="6" />

    <Button id="submit-button" fx:id="submitButton" contentDisplay="CENTER" defaultButton="true" onAction="#login" prefHeight="40" prefWidth="100" text="Submit" textAlignment="CENTER" textFill="WHITE" GridPane.columnSpan="2" GridPane.halignment="CENTER" GridPane.rowIndex="8" GridPane.rowSpan="1">
        <GridPane.margin>
            <Insets bottom="20" top="20" />
        </GridPane.margin>
    </Button>

</GridPane>
